

%define rel 1

Name: kfourinline
Summary: Place 4 pieces in a row
Version: 16.04.2
Release: %mkrel %{rel}
Group: Graphical desktop/KDE5
URL: http://www.kde.org/applications/games/kfourinline/
License: GPLv2 and LGPLv2 and GFDL
Source: http://download.kde.org/stable/%version/src/%name-%version.tar.xz
BuildRequires: kdegames-devel

BuildRequires: %{_lib}qt5core-devel
BuildRequires: %{_lib}qt5gui-devel
BuildRequires: %{_lib}qt5network-devel
BuildRequires: %{_lib}qt5qml-devel
BuildRequires: %{_lib}qt5quick-devel
BuildRequires: %{_lib}qt5quickwidgets-devel
BuildRequires: %{_lib}qt5svg-devel
BuildRequires: %{_lib}qt5test-devel
BuildRequires: %{_lib}qt5widgets-devel

BuildRequires: kf5-macros
BuildRequires: kcoreaddons-devel
BuildRequires: kconfig-devel
BuildRequires: kitemmodels-devel
BuildRequires: kdbusaddons-devel
BuildRequires: kdeclarative-devel
BuildRequires: ki18n-devel
BuildRequires: kconfigwidgets-devel
BuildRequires: kitemviews-devel
BuildRequires: kiconthemes-devel
BuildRequires: kcompletion-devel
BuildRequires: kxmlgui-devel
BuildRequires: kdnssd-devel
BuildRequires: kio-devel
BuildRequires: knotifyconfig-devel
BuildRequires: kdelibs4support-devel

BuildRequires: libxml2-utils
BuildRequires: docbook-dtds
BuildRequires: docbook-style-xsl


%description
KFourInLine is a board game for two players based on the Connect-Four game.

The players try to build up a row of four pieces using different strategies.

%files
%_kf5_bindir/kfourinline
%_kf5_bindir/kfourinlineproc
%_kf5_datadir/applications/*.desktop
%_kf5_datadir/kfourinline
%_kf5_iconsdir/hicolor/*/apps/kfourinline.png
%_kf5_datadir/config.kcfg/kwin4.kcfg
%_kf5_datadir/kxmlgui5/kfourinline

#------------------------------------------------------------------------------

%package -n kfourinline-handbook
Summary: kfourinline handbook
Requires:  kfourinline
BuildArch: noarch
Group: Documentation

%description -n kfourinline-handbook
This package provides the kfourinline handbook.

%files -n kfourinline-handbook
%_kf5_docdir/HTML/en/kfourinline/

#------------------------------------------------------------------------------

%prep
%setup -q


%build
export LD=/usr/bin/ld.gold 
%cmake_kf5
%make

%install
rm -rf %buildroot
%makeinstall_std -C build


%changelog
* Tue Jun 14 2016 bb <bb> 16.04.2-1pclos2016
- update

